This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 56981 - Ipchains Incompatible with Kernel 2.4.9-13 on an i686
Ipchains Incompatible with Kernel 2.4.9-13 on an i686
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ipchains (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 20:10 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-02 07:43:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-01 20:10:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; MSOCD; 
AtHome020)

Description of problem:
When check the status of ipchains it says incompatible with kernel.
it worked fine in 7.1

Executing /etc/rc.d/init.d/ipchains status ..
ipchains: Incompatible with this kernel



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start ipchains
2.
3.
	

Actual Results:  It does not work it say incompatible with kernel 

Expected Results:  It should work

Additional info:
Comment 1 Mike A. Harris 2001-12-02 07:43:23 EST
ipchains only works if the ipchains kernel module is loaded.  If
you do not have a configured ipchains firewall, with the ipchains
module loaded, then this is the expected behaviour in any 2.4.x
kernel.  Note that ipchains and iptables can not coexist.
Also note that this initscript only works with the supplied Red Hat
Linux firewall configuration tools.  It does not work with user
supplied or external firewall scripts.

I presume this is not really a bug, but just a misconfiguration.
If you do have the Red Hat ipchains firewall configured, then
please supply the output of the following commands at the time
of failure:

rpm -q ipchains
uname -a
lsmod


Note You need to log in before you can comment on or make changes to this bug.